Groovy Documentation

## org.codehaus.groovy.grails.test.junit4.runner
[Groovy] Class GrailsTestCaseRunnerBuilder

    java.lang.Object
      org.junit.runners.model.RunnerBuilder
          org.codehaus.groovy.grails.test.junit4.runner.GrailsTestCaseRunnerBuilder

    class GrailsTestCaseRunnerBuilder
    extends RunnerBuilder

Property Summary
`java.lang.Object` | `appCtx`
`java.lang.Object` | `mode`
`java.lang.Object` | `testTargetPatterns`

Constructor Summary
`GrailsTestCaseRunnerBuilder(GrailsTestTargetPattern[] testTargetPatterns)`
`GrailsTestCaseRunnerBuilder(GrailsTestMode mode, ApplicationContext appCtx, GrailsTestTargetPattern[] testTargetPatterns)`

Method Summary
`Runner` | `runnerForClass(java.lang.Class testClass)`
`protected java.lang.Object` | `validateMode()`

Property Detail

### appCtx

    final java.lang.Object appCtx

### mode

    final java.lang.Object mode

### testTargetPatterns

    final java.lang.Object testTargetPatterns

Constructor Detail

### GrailsTestCaseRunnerBuilder

    GrailsTestCaseRunnerBuilder(GrailsTestTargetPattern[] testTargetPatterns)

### GrailsTestCaseRunnerBuilder

    GrailsTestCaseRunnerBuilder(GrailsTestMode mode, ApplicationContext appCtx, GrailsTestTargetPattern[] testTargetPatterns)

Method Detail

### runnerForClass

    Runner runnerForClass(java.lang.Class testClass)

### validateMode

    protected java.lang.Object validateMode()

Groovy Documentation